package com.sweep15.AndEextras;

import org.anddev.andengine.entity.scene.menu.item.IMenuItem;
import org.anddev.andengine.entity.text.ChangeableText;
import org.anddev.andengine.opengl.font.Font;
 
public class ChangeableTextMenuItem extends ChangeableText implements IMenuItem{
        // ===========================================================
        // Constants
        // ===========================================================
 
        // ===========================================================
        // Fields
        // ===========================================================
 
        private final int mID;
 
        // ===========================================================
        // Constructors
        // ===========================================================
 
        public ChangeableTextMenuItem(final int pID, final Font pFont, final String pText) {
                super(0, 0, pFont, pText);
                this.mID = pID;
        }
 
        public ChangeableTextMenuItem(final int pID, final Font pFont, final String pText, final int pMaxLenght) {
                super(0, 0, pFont, pText, pMaxLenght);
                this.mID = pID;
        }
 
        // ===========================================================
        // Getter & Setter
        // ===========================================================
 
        /**
         * Sets the text of the changeableText object
         * @param pText Text to set
         */
        public void setText(String pText) {
                super.setText(pText);
        }
 
        @Override
        public int getID() {
                return this.mID;
        }
 
        // ===========================================================
        // Getter & Setter
        // ===========================================================
 
        // ===========================================================
        // Methods for/from SuperClass/Interfaces
        // ===========================================================
 
        @Override
        public void onSelected() {
                /* Nothing. */
        }
 
        @Override
        public void onUnselected() {
                /* Nothing. */
        }
 
        // ===========================================================
        // Methods
        // ===========================================================
 
       
        // ===========================================================
        // Inner and Anonymous Classes
        // ===========================================================
}