package com.sweep15.GameElements;
 
import java.io.Serializable;
 
 /**
  * Classe que implementa el valor d'una carta de la baralla
  * 
  * @author Sergi Collado Figueras : PFC - Xarxes de computadors 2011-2012
  *
  */
public class Rank
	implements Serializable
 {
	/* Propietats */ 
	private static final long serialVersionUID = 1L;
	
	protected String rankName;
	protected int rankNumber;
 
	/* Constructor */
	
	public Rank(String name, int number) {
		this.rankName = name;
		this.rankNumber = number;
	}
 
	/* Getters i Setters */
	
	public int getRankNumber() {
		return this.rankNumber;
	}
 
	/* Funcions tils */
	
	public String toString() {
		return this.rankName;
	}
 
	public boolean equals(Object o) {
		boolean equal = false;
		try {
			Rank s = (Rank)o;
			if (this.rankNumber == s.getRankNumber()) 
				equal = true; 
		} catch (Exception e) {
		}
		return equal;
	}
 }