package com.sweep15.GameElements;
 
import java.io.Serializable;

/**
 * Classe que implementa el pal d'una carta de la baralla
 * 
 * @author Sergi Collado Figueras : PFC - Xarxes de computadors 2011-2012
 *
 */
public class Suit
   implements Serializable
{
	/* Propietats */
	private static final long serialVersionUID = 1L;
	
	protected String suitName;
	protected int suitNumber;	
 
	/* Constructor */
	
	public Suit(String name, int number) {
		this.suitName = name;
		this.suitNumber = number;		
	}
	
	/* Mtodes */
	
	public String toString() {
		return this.suitName;
	}
 
	public int getSuitNumber() {
		return this.suitNumber;
	}	
 
	public boolean equals(Object o) {
		boolean equal = false;
		try {
			Suit s = (Suit)o;
			if (this.suitNumber == s.getSuitNumber()) 
				equal = true; 
		} catch (Exception e) {
		}
		return equal;
	}
 }