package com.sweep15;

/**
 * Implementa la puntuaci acumulada d'un jugador
 * 
 * @author Sergi Collado Figueras : PFC - Xarxes de computadors 2011-2012
 *
 */
public class Score {
	
	private int _cardsCount;
	private int _sevenGold;
	private int _sevenCount;
	private int _goldCount;
	private int _broomCount;
	
	private int _totalScore;
	
	public Score() {
		resetAll();
	}
	
	public void reset() {
		this.setCardsCount(0);
		this.setSevenGold(0);
		this.setSevenCount(0);
		this.setGoldCount(0);
		this.setBroomCount(0);		
	}
	
	public void resetAll() {
		this.reset();
		this._totalScore = 0;
	}
	
	/* Setters i Getters de les propietats privades necessries */
	
	public void setCardsCount(int cardsCount) {
		this._cardsCount = cardsCount;
	}

	public int getCardsCount() {
		return _cardsCount;
	}

	public void setSevenGold(int sevenGold) {
		this._sevenGold = sevenGold;
	}

	public int getSevenGold() {
		return _sevenGold;
	}

	public void setSevenCount(int sevenCount) {
		this._sevenCount = sevenCount;
	}

	public int getSevenCount() {
		return _sevenCount;
	}

	public void setGoldCount(int goldCount) {
		this._goldCount = goldCount;
	}

	public int getGoldCount() {
		return _goldCount;
	}

	public void setBroomCount(int broomCount) {
		this._broomCount = broomCount;
	}

	public int getBroomCount() {
		return _broomCount;
	}

	public int getTotalScore() {
		return _totalScore;
	}

	public void addTotalScore(int score) {
		this._totalScore += score;
	}
}
